<template>
  <section table>
    <ag-grid-vue
      ag-grid
      class="ag-theme-balham-dark"
      :columnDefs="columnDefs"
      :rowData="rowData"
    >
    </ag-grid-vue>
  </section>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import { AgGridVue } from "ag-grid-vue";

@Component({
  components: {
    AgGridVue,
  },
})
export default class extends Vue {
  private columnDefs = [
    { headerName: "Make", field: "make" },
    { headerName: "Model", field: "model" },
    { headerName: "Price", field: "price" },
  ];

  private rowData = [
    { make: "Toyota", model: "Celica", price: 35000 },
    { make: "Ford", model: "Mondeo", price: 32000 },
    { make: "Porsche", model: "Boxter", price: 72000 },
  ];
}
</script>

<style scoped lang="scss">
[ag-grid] {
  flex: 1;
}
</style>
